> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a app users



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /app-users/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /app-users/{id}:
    get:
      tags:
        - App Users
      summary: Retrieve a app users
      parameters:
        - $ref: '#/components/parameters/appUserId'
      responses:
        '200':
          $ref: '#/components/responses/appUser'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    appUserId:
      in: path
      name: id
      description: ID of the app user to retrieve
      required: true
      schema:
        type: integer
        example: 1
  responses:
    appUser:
      description: App Users Data
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                description: App Users data
                type: array
                items:
                  type: object
                  required:
                    - firstName
                    - lastName
                    - email
                    - phoneNumber
                    - whitelabel
                    - newsletter
                    - createdAt
                  properties:
                    id:
                      $ref: '#/components/schemas/id'
                    firstName:
                      $ref: '#/components/schemas/firstName'
                    lastName:
                      $ref: '#/components/schemas/lastName'
                    email:
                      $ref: '#/components/schemas/email'
                    phoneNumber:
                      $ref: '#/components/schemas/phoneNumber'
                    whitelabel:
                      $ref: '#/components/schemas/whitelabel'
                    newsletter:
                      $ref: '#/components/schemas/newsletter'
                    createdAt:
                      $ref: '#/components/schemas/createdAt'
          example:
            data:
              - id: 1
                firstName: John
                lastName: Doe
                email: John.doe@gmail.com
                phoneNumber: +45 11 22 33 44
                whitelabel: label
                newsletter: false
                createdAt: '2021-04-20T14:38:20.000Z'
            totalElements: 16
            offset: 0
            limit: 1
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    firstName:
      type: string
      example: John
      nullable: true
    lastName:
      type: string
      example: Doe
      nullable: true
    email:
      type: string
      example: john.doe@gmail.com
      nullable: true
    phoneNumber:
      type: string
      example: +45 22 33 44 55
      nullable: true
    whitelabel:
      type: string
      example: label
    newsletter:
      description: Newsletter subscription flag
      type: boolean
      example: false
    createdAt:
      description: Created date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'

````